Sun Java System Web Server 7.0 Update 7 Release Notes

Solaris Patches

x86 or SPARC users of Solaris 8, 9, or 10 Operating System should have the latest patch cluster installed. This patch cluster is available under “Recommended and Security Patches” on the web site.

Note –

On a 32–bit Solaris (SPARC) platform, install SUNWlibC and SUNWlibCx packages, in addition to the patches listed in the sections below.

Web Server 7.0 installer determines if the required patches are installed on your machine, without them the installation fails. The following patches are required for successful installation and functioning of Web Server 7.0 on a supported platform.

Note –

If the patches available at are obsolete, download the most recent version of these patches as they include the latest bug fixes and product enhancements.

Note –

To know the Solaris Operation System version installed on your machine, see the /etc/release file.

The /etc/release file contains Solaris Operation System version information in the following format:

            Solaris 10 6/06 s10x_u2wos_08 X86
   Copyright 2006 Sun Microsystems, Inc.  All Rights Reserved. 
             Use is subject to license terms.
                   Assembled 02 May 2006

Solaris 8 Platform (SPARC and x86)

Solaris 8 Platform (SPARC)

Solaris 8 Platform (x86)

Solaris 9 Platform (SPARC and x86)

Solaris 9 Platform (SPARC)

Solaris 9 Platform (x86)

Solaris 10 Platform (SPARC and x86)

Note –

For the 64-bit version of Web Server, you must check if the SUNWlxml package is installed on the server by running the command # pkginfo SUNWlxml which produces the following output:

system      SUNWlxml The XML library

This package is always installed with Solaris 10 standard installation, even if you choose the lowest level of installation METACLUSTER=SUNWCmreq, NAME=Minimal Core System Support.

If you do not want this package, you can either, remove it by using the pkgrm command or use a jumpstart image which lacks this package.

AIX 5.3

AIX 6.1

Note –

You need to reboot your system after applying the patches.

Incompatible Patches

Some incompatible patches can affect Web Server startup and cause the server not to respond to requests. The following table lists such patches. If you have an incompatible patch installed on your machine, upgrade the patch to a recommended compatible patch.

Table 4 List of Incompatible Patches

Operating System 

Incompatible Patch 

Recommended Compatible Patch 

Solaris 8 SPARC 

109147-37 (linker patch) 

109147-38 (linker patch) 

109147-39 (linker patch) 

109147–40 (linker patch) 

Solaris 9 SPARC 

112963-22 (linker patch) 

112963-23 (linker patch) 

112963-24 (linker patch) 

112963-25 (linker patch) 

Solaris 9 x86 

113986-18 (linker patch) 

113986-19 (linker patch) 

113986-20 (linker patch) 

113986-21 (linker patch)